<!DOCTYPE html>
<html lang="en" th:lang="#{lang}" xmlns:th="http://www.thymeleaf.org"
      xmlns:sec="http://www.thymeleaf.org/extras/spring-security">
<head>
    <!--CSS -->

    <!--<link  href="https://cdnjs.cloudflare.com/ajax/libs/fotorama/4.6.4/fotorama.css" rel="stylesheet">-->

    <!--/*/ <th:block th:include="fragments/layout :: head">
        </th:block> /*/-->

    <!--SCRIPTS-->
</head>
<body>

<div id="wrapper">

    <div th:replace="fragments/layout :: header('admin')"></div>

    <!--CAROUSEL-->
    <!--<div th:replace="fragments/layout :: carousel-sm"></div>-->

    <main id="main" class="container-fluid container-lg mt-2">
        <div class="d-lg-flex">
            <div class="p-2">
                <div th:replace="fragments/layout :: adminSideNav('users')"></div>
            </div>

            <div class="flex-grow-1 p-2">

                <!--HEADING-->
                <div class="d-flex flex-wrap">
                    <h3 class="pb-2 pt-1">Zákazníci</h3>
                    <div class="ml-auto mt-auto">
                        <a class="btn btn-sm btn-success mb-2" th:href="@{/admin/user/new}">
                            <i class="fas fa-user-plus"></i>
                            Nový zákazník
                        </a>
                    </div>
                </div>

                <!--ALERTS-->
                <div th:replace="fragments/layout :: alerts"></div>

                <!--TODO filtrace-->
                <form method="get" id="filterForm" th:action="@{/admin/users}">
                    <input hidden id="filterPageNumber" name="page" th:value="${(param.page == null) ? 0 : param.page}">

                    <div class="bg-light border p-2 mb-2 row no-gutters">
                        <div class="px-1 col-12 col-sm-4 col-xl-2">
                            <label for="userName" class="">Jméno:</label>
                            <input id="userName" name="name" th:value="${param.name}"
                                   class="form-control form-control-sm">
                        </div>

                        <div class="px-1 col-12 col-sm-4 col-xl-2">
                            <label for="userCompany" class="">Firma:</label>
                            <input id="userCompany" name="company" th:value="${param.company}"
                                   class="form-control form-control-sm">
                        </div>

                        <div class="px-1 col-12 col-sm-4 col-xl-2">
                            <label for="userEmail" class="">Email:</label>
                            <input id="userEmail" name="email" th:value="${param.email}"
                                   class="form-control form-control-sm">
                        </div>

                        <div class="px-1 col-12 col-sm-4 col-xl-2 mt-sm-2 mt-xl-0">
                            <label for="userPhone" class="">Telefon:</label>
                            <input id="userPhone" name="phone" th:value="${param.phone}"
                                   class="form-control form-control-sm">
                        </div>

                        <div class="px-1 col-12 col-sm-4 col-xl-2 mt-sm-2 mt-xl-0">
                            <label for="userAddress" class="">Adresa:</label>
                            <input id="userAddress" name="address" th:value="${param.address}"
                                   class="form-control form-control-sm">
                        </div>

                        <div class="col-12 col-sm mt-auto pt-2 text-right">
                            <button class="btn btn-sm btn-orange px-3" type="submit"
                                    onclick="$('#filterPageNumber').val(0);">Filtrovat
                            </button>
                        </div>
                    </div>
                </form>

                <div id="notFoundMessage" class="alert alert-warning show" role="alert"
                     th:if="${#lists.isEmpty(users)}">
                    <span>Nepodařilo se najít žádného uživatele</span>
                </div>

                <!--TABLE-->
                <div class="table-responsive">
                    <table class="table table-hover" th:if="${not #lists.isEmpty(users)}">
                        <thead>
                        <tr>
                            <th scope="col" class="py-1">Jméno</th>
                            <th scope="col" class="py-1">Firma</th>
                            <th scope="col" class="py-1">Email</th>
                            <th scope="col" class="py-1">Telefon</th>
                            <th scope="col" class="py-1">Adresa</th>
                            <th></th>
                        </tr>
                        </thead>
                        <tbody>
                        <tr th:each="user : ${users}">
                            <td th:text="${user.getFullName()}"
                                th:onclick="'redirectTo(\'' + @{/admin/user/detail/} + ${user.id} + '\')'"></td>
                            <td th:text="${user.company}"
                                th:onclick="'redirectTo(\'' + @{/admin/user/detail/} + ${user.id} + '\')'"></td>
                            <td th:text="${user.email}"
                                th:onclick="'redirectTo(\'' + @{/admin/user/detail/} + ${user.id} + '\')'"></td>
                            <td th:text="${user.phoneNumber}"
                                th:onclick="'redirectTo(\'' + @{/admin/user/detail/} + ${user.id} + '\')'"></td>
                            <td th:if="user.address != null" th:text="${user.address.getFormatAddress()}"
                                th:onclick="'redirectTo(\'' + @{/admin/user/detail/} + ${user.id} + '\')'"></td>
                            <td th:if="user.address == null"></td>
                            <td width="95px">
                                <div class="btn-group float-right">
                                    <!--BORROW-->
                                    <a class="btn btn-sm btn-outline-orange px-3"
                                       data-toggle="tooltip" data-placement="bottom" title="nová výpůjčka"
                                       th:href="@{/admin/borrow/new?uid=} + ${user.id}">
                                        <i class="far fa-clock"></i>
                                    </a>
                                    <!--EDIT-->
                                    <a class="btn btn-sm btn-outline-success"
                                       data-toggle="tooltip" data-placement="bottom" title="upravit"
                                       th:href="@{/admin/user/edit/} + ${user.id}">
                                        <i class="fas fa-pen"></i>
                                    </a>
                                    <!--DELETE-->
                                    <!--<a class="btn btn-sm btn-danger"
                                       th:href="@{/admin/user/remove/} + ${user.id}"
                                       onclick="return confirm('Opravdu chcete smazat uživatele?');">
                                        <i class="fas fa-trash"></i>
                                    </a>-->
                                </div>
                            </td>
                        </tr>
                        </tbody>
                    </table>
                </div>

                <!--PAGGING-->
                <nav aria-label="Page navigation example" th:if="${pageCount > 1}">
                    <ul class="pagination pagination-sm pagination-orange ml-2">
                        <li class="page-item" th:classappend="${(pageNumber == 0) ? 'disabled' : ''}">
                            <a class="page-link" href="#" th:onclick="'redirectToPage(' + ${pageNumber - 1} + ');'"
                               aria-label="Previous">
                                <span aria-hidden="true">&laquo;</span>
                            </a>
                        </li>
                        <li class="page-item" th:each="i : ${#numbers.sequence(1, pageCount)}"
                            th:classappend="${(i == pageNumber + 1) ? 'active' : ''}">
                            <a class="page-link" href="#" th:onclick="'redirectToPage(' + ${i - 1} + ');'"
                               th:text="${i}">1</a>
                        </li>
                        <li class="page-item" th:classappend="${(pageNumber == (pageCount - 1)) ? 'disabled' : ''}">
                            <a class="page-link" href="#" th:onclick="'redirectToPage(' + ${pageNumber + 1} + ');'"
                               aria-label="Next">
                                <span aria-hidden="true">&raquo;</span>
                            </a>
                        </li>
                    </ul>
                </nav>

            </div>
        </div>
    </main>
</div>

<div th:replace="fragments/layout :: footer"></div>

</body>
</html>